# $Id: alsa-utils.spec,v 1.12 2003/06/12 15:28:59 dude Exp $

#define prever rc8a

Summary: The Advanced Linux Sound Architecture (ALSA) utilities.
Name: alsa-utils
Version: 1.0.5
Release: 1.PU_IAS.%{?prever:0.%{prever}.}1
License: GPL
Group: Applications/Multimedia
Source0: ftp://ftp.alsa-project.org/pub/utils/%{name}-%{version}%{?prever}.tar.bz2
Source1: alsactl.init
URL: http://www.alsa-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: alsa-lib >= 0:0.9.0, alsa-driver >= 0:0.9.0
BuildRequires: alsa-lib-devel >= 0:0.9.0, ncurses-devel

%description
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system. ALSA has the following
significant features: Efficient support for all types of audio interfaces,
from consumer soundcards to professional multichannel audio interfaces,
fully modularized sound drivers, SMP and thread-safe design, user space
library (alsa-lib) to simplify application programming and provide higher
level functionality as well as support for the older OSS API, providing
binary compatibility for most OSS programs.

This package includes utilities for systems using ALSA.

%prep
%setup -q -n %{name}-%{version}%{?prever}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -D -m755 %{SOURCE1} %{buildroot}/etc/rc.d/init.d/alsactl
#mkdir -p %{buildroot}/etc/rc{0,6}.d
#ln -sf ../init.d/alsactl %{buildroot}/etc/rc0.d/S01alsactl
#ln -sf ../init.d/alsactl %{buildroot}/etc/rc6.d/S01alsactl

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add alsactl

%preun
if [ "$1" = "0" ]; then
   /sbin/chkconfig --del alsactl
fi

%files
%defattr(-, root, root)
%doc COPYING ChangeLog README TODO
/etc/rc.d/init.d/alsactl
#/etc/rc0.d/S01alsactl
#/etc/rc6.d/S01alsactl
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*

%changelog
* Thu Jun 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.4.

* Wed May  7 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Change all alsa deps from = to >= since it triggered an apt bug.

* Thu May  1 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.3.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Wed Mar 19 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.2.

* Tue Mar 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0rc8a.
- Update to 0.9.1!

* Mon Mar  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0rc8.

* Mon Feb  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0rc7.

* Mon Nov 18 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0rc6.

* Wed Oct 23 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.0rc4, then rc5.
- Added the alsactl init script.

* Fri Sep 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.

* Tue Aug 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat Linux.

* Tue Nov 20 2001 Jaroslav Kysela <perex@suse.cz>
- changed BuildRoot from /tmp to /var/tmp
- %_prefix and %_mandir macros are used for configure and mkdir
- DESTDIR is used for make install

* Sun Nov 11 2001 Miroslav Benes <mbenes@tenez.cz>
- dangerous command "rpm -rf $RPM_BUILD_ROOT" checks $RPM_BUILD_ROOT variable
- unset key "Docdir" - on some new systems are documentation in /usr/share/doc

* Mon May 28 1998 Helge Jensen <slog@slog.dk>
- Made SPEC file

